Skip to content

getSupersessionChain

READ

Get supersession chain.

POST /api/v1/items/getSupersessionChain
curl -X POST '<your-host>/api/v1/items/getSupersessionChain' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string"
  }'
Response
{
  "chain": [
    {
      "itemId": "string",
      "supersessionMode": "Consume First",
      "successorItemId": "string",
      "successorEffectivityDate": "string",
      "successor": {
        "id": "string",
        "readableIdWithRevision": "string",
        "name": "string"
      }
    }
  ],
  "supersededBy": [
    {
      "itemId": "string",
      "supersessionMode": "Consume First",
      "successorEffectivityDate": "string",
      "predecessor": {
        "id": "string",
        "readableIdWithRevision": "string",
        "name": "string"
      }
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    }
  },
  "required": [
    "itemId"
  ]
}